Subject: Re: bug#13407: 23.2; nxml: fill-paragraph does not work before root element

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 May 2021 09:24:09 +0200

Benjamin Riefenstahl <[email-masked]> writes:

> - C-x C-f /tmp/sample.xml
> - Insert this text:
>
> <?xml version="1.0"?>
> <!-- Lorem ipsum dolor sit amet,
>      consectetuer adipiscing elit,
>      sed diam nonummy nibh euismod
>      tincidunt ut laoreet dolore
>      magna aliquam erat volutpat.  -->
> <root>
>   <!-- Lorem ipsum dolor sit amet,
>        consectetuer adipiscing elit,
>        sed diam nonummy nibh euismod
>        tincidunt ut laoreet dolore
>        magna aliquam erat volutpat.  -->
> </root>
>
> - Position the point in the first comment
> - M-x fill-paragraph
>
> - What I observe: The paragraph in the second comment gets filled.
> - What I expect: The paragraph where the point is gets filled.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I can reproduce this bug in Emacs 25.1, but not in Emacs 28, so I'm
going to go ahead and guess that this as been fixed now, and I'm closing
this bug report.  If you're still seeing this behaviour in Emacs 28,
please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no